diff --git a/src/common/gui/CLFOGui.cpp b/src/common/gui/CLFOGui.cpp
index 8c6cccfbaf9..c51983552df 100644
--- a/src/common/gui/CLFOGui.cpp
+++ b/src/common/gui/CLFOGui.cpp
@@ -537,7 +537,7 @@ void CLFOGui::drawStepSeq(VSTGUI::CDrawContext *dc, VSTGUI::CRect &maindisp, VST
             gaterect[i] = gstep;
             auto gatecolor = knobcolor;
             auto gatebgcolor = stepcolor;
-            if( controlstate == cs_trigtray_toggle && i == selectedSSrow )
+            if( controlstate == cs_trigtray_toggle && ( i == selectedSSrow || draggedIntoTrigTray[i] ) )
             {
                gatebgcolor = grabMarkerHi;
             }
@@ -750,9 +750,11 @@ CMouseEventResult CLFOGui::onMouseDown(CPoint& where, const CButtonState& button
 
             for (int i = 0; i < n_stepseqsteps; i++)
             {
+               draggedIntoTrigTray[i] = false;
                if ((where.x > gaterect[i].left) && (where.x < gaterect[i].right))
                {
                   selectedSSrow = i;
+                  draggedIntoTrigTray[i] = true;
                }
             }
             invalid();
@@ -816,7 +818,7 @@ CMouseEventResult CLFOGui::onMouseUp(CPoint& where, const CButtonState& buttons)
       selectedSSrow = -1;
       for (int i = 0; i < n_stepseqsteps; i++)
       {
-         if ((where.x > gaterect[i].left) && (where.x < gaterect[i].right))
+         if (draggedIntoTrigTray[i])
          {
             bool bothOn = ss->trigmask & ( UINT64_C(1) << i );
             bool filtOn = ss->trigmask & ( UINT64_C(1) << ( 16 + i ) );
@@ -989,6 +991,21 @@ CMouseEventResult CLFOGui::onMouseMoved(CPoint& where, const CButtonState& butto
          }
       }
    }
+   else if( controlstate == cs_trigtray_toggle )
+   {
+      bool change = false;
+      for (int i = 0; i < n_stepseqsteps; i++)
+      {
+         if ((where.x > gaterect[i].left) && (where.x < gaterect[i].right))
+         {
+            if( ! draggedIntoTrigTray[i] )
+               change = true;
+            draggedIntoTrigTray[i] = true;
+         }
+      }
+      if( change )
+         invalid();
+   }
    return kMouseEventHandled;
 }
 
diff --git a/src/common/gui/CLFOGui.h b/src/common/gui/CLFOGui.h
index 1aa8f1a1766..cb2ec0062f3 100644
--- a/src/common/gui/CLFOGui.h
+++ b/src/common/gui/CLFOGui.h
@@ -40,6 +40,9 @@ class CLFOGui : public VSTGUI::CControl, public Surge::UI::SkinConsumingComponnt
       this->ss = ss;
       edit_trigmask = trigmaskedit;
       controlstate = 0;
+
+      for( int i=0; i<16; ++i )
+         draggedIntoTrigTray[i] = false;
    }
 
    void resetColorTable()
@@ -92,6 +95,8 @@ class CLFOGui : public VSTGUI::CControl, public Surge::UI::SkinConsumingComponnt
 
    int draggedStep = -1;
    int keyModMult = 0;
+
+   bool draggedIntoTrigTray[16];
    
    CLASS_METHODS(CLFOGui, VSTGUI::CControl)
 };
